/// <reference types="react" />
export default class ModalCustom {
    private modalId;
    private modalEle;
    constructor(modalId?: string);
    initDom(): void;
    show(component: React.ReactElement): void;
    destroy(): void;
}
